Update an existing application
curl --request PUT \
--url https://api.avidoai.com/v0/applications/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false
}
'import requests
url = "https://api.avidoai.com/v0/applications/{id}"
payload = {
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": False
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Customer Support Bot',
slug: 'customer-support-bot',
description: 'AI assistant for customer support inquiries',
context: 'You are a helpful customer support assistant...',
language: 'en',
type: 'CHATBOT',
environment: 'DEV',
humanAnnotationEnabled: false
})
};
fetch('https://api.avidoai.com/v0/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.avidoai.com/v0/applications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Customer Support Bot',
'slug' => 'customer-support-bot',
'description' => 'AI assistant for customer support inquiries',
'context' => 'You are a helpful customer support assistant...',
'language' => 'en',
'type' => 'CHATBOT',
'environment' => 'DEV',
'humanAnnotationEnabled' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-application-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.avidoai.com/v0/applications/{id}"
payload := strings.NewReader("{\n \"title\": \"Customer Support Bot\",\n \"slug\": \"customer-support-bot\",\n \"description\": \"AI assistant for customer support inquiries\",\n \"context\": \"You are a helpful customer support assistant...\",\n \"language\": \"en\",\n \"type\": \"CHATBOT\",\n \"environment\": \"DEV\",\n \"humanAnnotationEnabled\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-application-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.avidoai.com/v0/applications/{id}")
.header("x-api-key", "<api-key>")
.header("x-application-id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Customer Support Bot\",\n \"slug\": \"customer-support-bot\",\n \"description\": \"AI assistant for customer support inquiries\",\n \"context\": \"You are a helpful customer support assistant...\",\n \"language\": \"en\",\n \"type\": \"CHATBOT\",\n \"environment\": \"DEV\",\n \"humanAnnotationEnabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.avidoai.com/v0/applications/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["x-application-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Customer Support Bot\",\n \"slug\": \"customer-support-bot\",\n \"description\": \"AI assistant for customer support inquiries\",\n \"context\": \"You are a helpful customer support assistant...\",\n \"language\": \"en\",\n \"type\": \"CHATBOT\",\n \"environment\": \"DEV\",\n \"humanAnnotationEnabled\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Applications
Update an existing application
Updates an existing application’s configuration.
PUT
/
v0
/
applications
/
{id}
Update an existing application
curl --request PUT \
--url https://api.avidoai.com/v0/applications/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false
}
'import requests
url = "https://api.avidoai.com/v0/applications/{id}"
payload = {
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": False
}
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Customer Support Bot',
slug: 'customer-support-bot',
description: 'AI assistant for customer support inquiries',
context: 'You are a helpful customer support assistant...',
language: 'en',
type: 'CHATBOT',
environment: 'DEV',
humanAnnotationEnabled: false
})
};
fetch('https://api.avidoai.com/v0/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.avidoai.com/v0/applications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Customer Support Bot',
'slug' => 'customer-support-bot',
'description' => 'AI assistant for customer support inquiries',
'context' => 'You are a helpful customer support assistant...',
'language' => 'en',
'type' => 'CHATBOT',
'environment' => 'DEV',
'humanAnnotationEnabled' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-application-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.avidoai.com/v0/applications/{id}"
payload := strings.NewReader("{\n \"title\": \"Customer Support Bot\",\n \"slug\": \"customer-support-bot\",\n \"description\": \"AI assistant for customer support inquiries\",\n \"context\": \"You are a helpful customer support assistant...\",\n \"language\": \"en\",\n \"type\": \"CHATBOT\",\n \"environment\": \"DEV\",\n \"humanAnnotationEnabled\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-application-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.avidoai.com/v0/applications/{id}")
.header("x-api-key", "<api-key>")
.header("x-application-id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Customer Support Bot\",\n \"slug\": \"customer-support-bot\",\n \"description\": \"AI assistant for customer support inquiries\",\n \"context\": \"You are a helpful customer support assistant...\",\n \"language\": \"en\",\n \"type\": \"CHATBOT\",\n \"environment\": \"DEV\",\n \"humanAnnotationEnabled\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.avidoai.com/v0/applications/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["x-application-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Customer Support Bot\",\n \"slug\": \"customer-support-bot\",\n \"description\": \"AI assistant for customer support inquiries\",\n \"context\": \"You are a helpful customer support assistant...\",\n \"language\": \"en\",\n \"type\": \"CHATBOT\",\n \"environment\": \"DEV\",\n \"humanAnnotationEnabled\": false\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Authorizations
Path Parameters
Body
application/json
Request body for updating an existing application